# Check Digit on Sequences

This module was written to configure check digits on sequences added on the end. It is useful as a control of the number on visual validation.

It is useful when some manual checks are required or on integrations. The implemented codes can avoid modification of one character and flip of two consecutive characters.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

- Access sequences and configurate the model to use.
- The model will check if the format of prefix, suffix and number is valid
- Implemented algorithms
    - Luhn: [0-9]*
    - Damm: [0-9]*
    - Verhoeff: [0-9]*
    - ISO 7064 Mod 11, 2: [0-9]*
    - ISO 7064 Mod 11, 10: [0-9]*
    - ISO 7064 Mod 37, 2: [0-9A-Z]*
    - ISO 7064 Mod 37, 36: [0-9A-Z]*
    - ISO 7064 Mod 97, 10: [0-9A-Z]*

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Creu Blanca

## Contributors

- Enric Tobella <etobella@creublanca.es>
- Sunanda Chhatbar <sunanda.chhatbar@initos.com>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/server-ux project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.